Index: c/src/libnetworking/ChangeLog
===================================================================
--- c/src/libnetworking/ChangeLog	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ c/src/libnetworking/ChangeLog	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -1,2 +1,9 @@
+2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* pppd/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* rtems_servers/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* rtems_telnetd/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+	* rtems_webserver/Makefile.am: Use mkdir_p. Remove dirs from PRE/TMPINSTALL_FILES.
+
 2003-12-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/libnetworking/pppd/Makefile.am
===================================================================
--- c/src/libnetworking/pppd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ c/src/libnetworking/pppd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -38,7 +38,6 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
Index: c/src/libnetworking/rtems_servers/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_servers/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ c/src/libnetworking/rtems_servers/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -36,13 +36,11 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/ftpd.h: ftpd.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: c/src/libnetworking/rtems_telnetd/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_telnetd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ c/src/libnetworking/rtems_telnetd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -34,7 +34,6 @@
 if HAS_NETWORKING
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/pty.h: pty.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
Index: c/src/libnetworking/rtems_webserver/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_webserver/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ c/src/libnetworking/rtems_webserver/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -47,14 +47,12 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
 if HAS_POSIX
 $(PROJECT_INCLUDE)/goahead/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/goahead
+	@$(mkdir_p) $(PROJECT_INCLUDE)/goahead
 	@: > $(PROJECT_INCLUDE)/goahead/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems_webserver.h: rtems_webserver.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: cpukit/ftpd/Makefile.am
===================================================================
--- cpukit/ftpd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ cpukit/ftpd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -36,13 +36,11 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/ftpd.h: ftpd.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: cpukit/httpd/Makefile.am
===================================================================
--- cpukit/httpd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ cpukit/httpd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -47,14 +47,12 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
 if HAS_POSIX
 $(PROJECT_INCLUDE)/goahead/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/goahead
+	@$(mkdir_p) $(PROJECT_INCLUDE)/goahead
 	@: > $(PROJECT_INCLUDE)/goahead/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems_webserver.h: rtems_webserver.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: cpukit/pppd/Makefile.am
===================================================================
--- cpukit/pppd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ cpukit/pppd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -38,7 +38,6 @@
 
 $(PROJECT_INCLUDE)/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)
+	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
Index: cpukit/telnetd/Makefile.am
===================================================================
--- cpukit/telnetd/Makefile.am	(revision a1ff7dd4eef276d7f6ed4fed2f06832e86238cdb)
+++ cpukit/telnetd/Makefile.am	(revision 19fb5d33ac3614640235c5f1df3e243dcb54ff5c)
@@ -34,7 +34,6 @@
 if HAS_NETWORKING
 $(PROJECT_INCLUDE)/rtems/$(dirstamp):
-	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rtems
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/pty.h: pty.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
